from numpy import *
import sys
import subprocess as sp
#Try to look for coregrowthdir
coregrowthdir = sp.Popen(['echo $COREGROWTHPATH'], stdout=sp.PIPE, shell=True).communicate()[0].strip()
sys.path.append(coregrowthdir+'/src/')
import core80 as core
import rout80 as rout
import globalvars80 as g
import cProfile
import pstats

#Sets the verbosity level
g.vbl = 1

#set the semi-major axis the same as Kobayashi (2010)
g.a0 = 3.2*g.au

g.doFR = False
core.main(fn_outputtable='Data/table7a.dat')

g.doFR = True
cProfile.run("core.main(fn_outputtable='Data/table7b.dat')", 'shooterprof')


print('|====================================================')
print('|')
print('| Now trying to plot data. This may or may not work  ')
print('| depending on your matplotlib availibility/settings ')
print('|')
print('|====================================================')
import pylab as pl
fg1 = pl.figure()
fg2 = pl.figure()

ax1 = fg1.add_subplot(111)
ax2 = fg2.add_subplot(111)

lines=[]
out_Qs = ['Time', 'Mc', 'sP', 'sigP', 'sF', 'sigF']
data = rout.readData(out_Qs, fname='Data/table7a.dat')
[Time, Mass, sP, sigP, sF, sigF] = [data[:,i] for i in range(len(out_Qs))]
ax1.loglog(Time/g.yr, Mass/g.Mearth, 'k-')
ax2.loglog(Time/g.yr, sigP, 'k-')

data = rout.readData(out_Qs, fname='Data/table7b.dat')
[Time, Mass, sP, sigP, sF, sigF] = [data[:,i] for i in range(len(out_Qs))]
ax1.loglog(Time/g.yr, Mass/g.Mearth, '0.6')
ax2.loglog(Time/g.yr, sigP, '0.6')
ax2.loglog(Time/g.yr, sigF, 'b-')

ax1.set_xlabel('Time [yr]')
ax1.set_ylabel('Embryo mass $M_E$ [M$_\\oplus$]')
ax1.set_xlim(1e4, 1e7)
ax1.set_ylim(1e-3, 20)
ax1.legend(['w/o frag','w/ frag'])
fg1.savefig('fig7a.eps')

ax2.set_xlabel('Time [yr]')
ax2.set_ylabel('Surface density')
ax2.set_xlim(1e4, 1e7)
ax2.set_ylim(1e-2, 10)
ax2.legend(['$\\Sigma_P$, no frag', '$\\Sigma_P$, w/ frag', '$\\Sigma_F$'], loc=2)
fg2.savefig('fig7b.eps')
